
- name: gather manager ip addresses
  setup:
    filter: "ansible_default_ipv4"
  delegate_to: "{{ groups.manager.0 }}"
  delegate_facts: true

- name: join swarm as worker
  docker_swarm:
    state: join
    remote_addrs: ["{{ hostvars[groups.manager.0].ansible_facts.default_ipv4.address }}"]
    join_token: "{{ hostvars[groups.manager.0].swarm_join_token }}"
